require.config({

    baseUrl: 'js/lib',

    paths: {
        app: '../app',
        tpl: '../tpl'
    },

    shim: {
        'backbone': {
            deps: ['underscore','jquery'],
            exports: 'Backbone'
        },
        'underscore': {
            exports: '_'
        },
        'handlebars': {
            exports: 'Handlebars'
        }
    }
});

require(['jquery', 'backbone', 'handlebars', 'app/router'], function ($, Backbone, Handlebars, Router) {
    var router = new Router();
    Backbone.history.start();
});