define(function (require) {

    "use strict";

    var $                   = require('jquery'),
        Backbone            = require('backbone'),
        Handlebars          = require('handlebars'),
        tpl                 = require('text!tpl/main.html'),
        MenuView            = require('app/views/menu'),

        template = Handlebars.compile(tpl);

    return Backbone.View.extend({

        initialize: function () {
        },

        render: function () {
            this.$el.html(template());
            this.menuView = new MenuView();
            $('.mainMenu').html(this.menuView.render().el);
            return this;
        }
    });
});